Loading...
Searching...
No Matches
gsm610.c File Reference

GSM 06.10 - GSM FR codec. More...

`#include <stdint.h>`
`#include <stdbool.h>`
`#include <osmocom/core/bitvec.h>`
`#include <osmocom/core/utils.h>`
`#include <osmocom/codec/codec.h>`

## Functions

bool | osmo_fr_check_sid (const uint8_t *rtp_payload, size_t payload_len)
| Check whether RTP frame contains FR SID code word according to TS 101 318 §5.1.2.

## Variables

const uint16_t | gsm610_bitorder [260]

## Detailed Description

GSM 06.10 - GSM FR codec.

## Function Documentation

## osmo_fr_check_sid()

bool osmo_fr_check_sid | ( | const uint8_t * | rtp_payload,
|  | size_t | payload_len
| ) |  |

Check whether RTP frame contains FR SID code word according to TS 101 318 §5.1.2.

Parameters

  [in] | rtp_payload | Buffer with RTP payload
  [in] | payload_len | Length of payload

Returns
  true if code word is found, false otherwise

References ARRAY_SIZE, bitvec_get_bit_pos(), bitvec::data, bitvec::data_len, and ZERO.

Referenced by conceal_frame().

## Variable Documentation

## gsm610_bitorder

const uint16_t gsm610_bitorder[260]